Subject: RE: FW: Issues in draft-ietf-ipvbi-nabts-03.txt

From: Dan Zigmond <[email-masked]>
Date: Mon, 23 Aug 1999 15:14:57 -0700

Erik,

I think your suggestions are very reasonable.  I would suggest 60 seconds as
values for both N and M.  How does this sound?

	Dan

---------------------------------------------------
Dan Zigmond
Senior Manager, Broadcast Applications
WebTV Networks, Inc.
[email-masked]
---------------------------------------------------

-----Original Message-----
From: Erik Nordmark [mailto:[email-masked]]
Sent: Monday, August 23, 1999 12:25 PM
To: Dan Zigmond
Cc: 'Erik Nordmark'; [email-masked]'
Subject: RE: FW: Issues in draft-ietf-ipvbi-nabts-03.txt

> I believe the text was inserted by me as a late edit while our principal
> editor was on vacation, and was a result of a brief misunderstanding on my
> part about this issue.  So I believe the intent of the draft, prior to my
> edit, was not that the IPVBI CRC should catch these packets.

So the protocol spec as it stands specifies a protocol where 
1) there are no time limits for how quickly a sender (compressor) can reuse 
   the group value,
2) there is no way for the receiver to detect that the sender has reused
   a group value (if the single uncompressed packet is lost or currupted).

As a result a single lost or corrupted packet will result in garbage
UDP decompressed packets for a possibly unlimited amount of time
(since there is no stated requirement on how often uncompressed packets
must be sent/refreshed by the compressor).
Single UDP checksums are optional in IPv4 this corruption might be
undetected.
Even if the UDP checksum is used and it detects the corruption no data is
delivered to the receiver!

This seems pretty broken to me - the protocol should be specified so that
it can handle a single packet loss in a reasonable manner.

Does the working group have a problem with specifying time limits such as
1. A group number can not be reused until after N seconds after the
   last packet was sent using that group number.
2. A compressor should periodically (every M seconds; where M is a number <=
N)
   send an uncompressed packet for each active group number.
	Thus implies that the decompressor should discard any state for
	a group number when it has not seen an uncompressed packet for N 
	seconds.

	This avoids any incorrectly decompressed packets due to group
	number reuse, and limits the outage due to a lost uncompressed
	packet to M seconds.
 
   Erik

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 23 Aug 1999 16:28:00 -0700 (PDT)

> values for both N and M.  How does this sound?

Fine with me.
But I don't what what bandwith the ipvbi channel has so I can't tell
if this will cause significant overhead.

   Erik